## lttnganalyses 0.6.1

=== requirements.txt ===
pyparsing
progressbar33 [progressbar]

## lttnganalyses 0.3.0

=== debian/changelog ===
lttnganalyses (0.3.0-2build1) xenial; urgency=medium

  * No change rebuild to drop python3.4 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2016 14:44:11 +0000

lttnganalyses (0.3.0-2) unstable; urgency=medium

  * Rebuild against python 3.5. Closes: #798244
  * [1f7d568] Update maintainer email
  * [5ff418e] Add VCS fields to control

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 13 Jan 2016 15:04:25 -0500

lttnganalyses (0.3.0-1) unstable; urgency=low

  [ Michael Jeanson ]
  * Initial release. Closes: #793393
  * [8677c06] debian/control: Improve description

  [ Jon Bernard ]
  * [3b4f585] Fix manpage typo

 -- Jon Bernard <jbernard@debian.org>  Mon, 03 Aug 2015 17:11:04 +0000

=== debian/control ===
Source: lttnganalyses
Maintainer: Michael Jeanson <mjeanson@ubuntu.com>
Section: python
Priority: optional
Build-Depends: python3-setuptools, python3-all (>= 3.4), debhelper (>= 9),
 python3-babeltrace (>= 1.2)
Standards-Version: 3.9.6
X-Python3-Version: >= 3.4
Vcs-Git: git://anonscm.debian.org/collab-maint/lttnganalyses.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/lttnganalyses.git

Package: python3-lttnganalyses
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-babeltrace (>= 1.2)
Description: LTTng 2.0 trace analysis tools (Python 3)
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package contains various tools to analyse LTTng kernel traces and extract
 monitoring data and metrics. As opposed to other diagnostic or monitoring
 solutions, this approach is designed to allow users to record their system's
 activity with a low overhead, wait for a problem to occur and then diagnose
 its cause offline.

## lttnganalyses 0.4.2

=== debian/changelog ===
lttnganalyses (0.4.2-2) unstable; urgency=medium

  * [738a60e] Added homepage to control
  * [7daee63] Reworked copyright file

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 02 Mar 2016 12:19:09 -0500

lttnganalyses (0.4.2-1) unstable; urgency=medium

  * [346d503] Added Jon Bernard to uploaders
  * [de75a88] New upstream version 0.4.2
  * [675cf02] Update manpages for 0.4.2
  * [3acef35] Bump standards version to 3.9.7, no changes necessary
  * [319b479] Update vcs fields to use secure uri

 -- Michael Jeanson <mjeanson@ubuntu.com>  Tue, 01 Mar 2016 11:55:33 -0500

## lttnganalyses 0.4.3

=== debian/changelog ===
lttnganalyses (0.4.3-1) unstable; urgency=medium

  * [c9f34a4] New upstream version 0.4.3

 -- Michael Jeanson <mjeanson@ubuntu.com>  Tue, 08 Mar 2016 10:28:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: lttnganalyses
 Maintainer: Michael Jeanson <mjeanson@ubuntu.com>
+Uploaders: Jon Bernard <jbernard@debian.org>
 Section: python
 Priority: optional
 Build-Depends: python3-setuptools, python3-all (>= 3.4), debhelper (>= 9),
  python3-babeltrace (>= 1.2)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 X-Python3-Version: >= 3.4
-Vcs-Git: git://anonscm.debian.org/collab-maint/lttnganalyses.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/lttnganalyses.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/lttnganalyses.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/lttnganalyses.git
+Homepage: https://github.com/lttng/lttng-analyses
 
 Package: python3-lttnganalyses
 Architecture: all

## lttnganalyses 0.5.3

=== debian/changelog ===
lttnganalyses (0.5.3-1) unstable; urgency=medium

  * [9004543] New upstream version 0.5.3

 -- Michael Jeanson <mjeanson@ubuntu.com>  Mon, 13 Jun 2016 13:25:20 -0400

lttnganalyses (0.5.2-1) unstable; urgency=medium

  * [1f07a08] New upstream version 0.5.2

 -- Michael Jeanson <mjeanson@ubuntu.com>  Tue, 07 Jun 2016 16:09:05 -0400

lttnganalyses (0.5.1-1) unstable; urgency=medium

  * [ddc2e61] New upstream version 0.5.1
  * [394be70] Add recommends python3-progressbar
  * [71e3d90] Add babeltrace binary to builddeps and deps
  * [e93b211] Bump standards to 0.9.8, no changes necessary
  * [02625ce] Update man pages for 0.5.1

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 01 Jun 2016 15:23:27 -0400

## lttnganalyses 0.5.4

=== debian/changelog ===
lttnganalyses (0.5.4-2) unstable; urgency=medium

  * [d098edb] Reduce priority to extra, per policy on priorities
  * [83b22eb] Add tzdata to builddeps (Closes: #839475)

 -- Michael Jeanson <mjeanson@ubuntu.com>  Mon, 03 Oct 2016 14:53:19 -0400

lttnganalyses (0.5.4-1) unstable; urgency=medium

  * [95d8e85] New upstream version 0.5.4

 -- Michael Jeanson <mjeanson@ubuntu.com>  Mon, 25 Jul 2016 12:37:22 -0400

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Maintainer: Michael Jeanson <mjeanson@ubuntu.com>
 Uploaders: Jon Bernard <jbernard@debian.org>
 Section: python
-Priority: optional
+Priority: extra
 Build-Depends: python3-setuptools, python3-all (>= 3.4), debhelper (>= 9),
- python3-babeltrace (>= 1.2)
-Standards-Version: 3.9.7
+ python3-babeltrace (>= 1.2~), babeltrace (>= 1.2~), tzdata
+Standards-Version: 3.9.8
 X-Python3-Version: >= 3.4
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/lttnganalyses.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/lttnganalyses.git
@@ -13,7 +13,9 @@
 
 Package: python3-lttnganalyses
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-babeltrace (>= 1.2)
+Depends: ${misc:Depends}, ${python3:Depends}, python3-babeltrace (>= 1.2~),
+ babeltrace (>= 1.2~)
+Recommends: python3-progressbar
 Description: LTTng 2.0 trace analysis tools (Python 3)
  The LTTng project aims at providing highly efficient tracing tools for Linux.
  Its tracers help tracking down performance issues and debugging problems

## lttnganalyses 0.6.1

=== debian/changelog ===
lttnganalyses (0.6.1-3) unstable; urgency=medium

  * [4dfe691] Bump watch file version to 4
  * [f25f18b] Move to debhelper 13
  * [06daba9] Add patch for python 3.10 support (Closes: #1009446)
  * [cb45e5c] Bump standards version to 4.6.0.1
  * [3332ad0] Add Rules-Requires-Root: no

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 14 Apr 2022 16:41:50 -0400

lttnganalyses (0.6.1-2) unstable; urgency=medium

  * [f5ca8b5] Move to DEP-14 branch naming
  * [d154092] Use https url in watch file
  * [8bcce9a] Switched my maintainer email to @debian.org
  * [a404d59] Moved VCS to salsa.debian.org
  * [b1b37bd] Drop X-Python3-Version
  * [3c7bb76] Add dh-python to builddeps
  * [6ddf4ae] Use secure URI in debian copyright
  * [de4bd47] Use salsa canonical uri in VCS-Browser
  * [a6ed511] Changed deprecated extra priority to optional
  * [2902b3f] Bump standard to 4.1.4, no changes necessary

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 04 Jul 2018 10:53:01 -0400

lttnganalyses (0.6.1-1) unstable; urgency=medium

  * [63af7e6] New upstream version 0.6.1
  * [7ceb598] Drop patch merged upstream

 -- Michael Jeanson <mjeanson@ubuntu.com>  Fri, 06 Jan 2017 11:33:45 -0500

lttnganalyses (0.6.0-1) unstable; urgency=medium

  * [62223f9] New upstream version 0.6.0
  * [1710959] Add python3-pyparsing to builddeps
  * [061e2cf] Use C.UTF8 locale to run tests
  * [5c2a89b] Update man pages for 0.6.0

 -- Michael Jeanson <mjeanson@ubuntu.com>  Fri, 06 Jan 2017 11:16:52 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,20 @@
 Source: lttnganalyses
-Maintainer: Michael Jeanson <mjeanson@ubuntu.com>
+Maintainer: Michael Jeanson <mjeanson@debian.org>
 Uploaders: Jon Bernard <jbernard@debian.org>
 Section: python
-Priority: extra
-Build-Depends: python3-setuptools, python3-all (>= 3.4), debhelper (>= 9),
- python3-babeltrace (>= 1.2~), babeltrace (>= 1.2~), tzdata
-Standards-Version: 3.9.8
-X-Python3-Version: >= 3.4
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/lttnganalyses.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/lttnganalyses.git
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+ babeltrace (>= 1.2~),
+ dh-python,
+ python3-all (>= 3.4),
+ python3-babeltrace (>= 1.2~),
+ python3-pyparsing,
+ python3-setuptools,
+ tzdata
+Rules-Requires-Root: no
+Standards-Version: 4.6.0.1
+Vcs-Git: https://salsa.debian.org/debian/lttnganalyses.git
+Vcs-Browser: https://salsa.debian.org/debian/lttnganalyses
 Homepage: https://github.com/lttng/lttng-analyses
 
 Package: python3-lttnganalyses

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME=lttnganalyses

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/lttnganalyses/lttnganalyses-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
